import { BooleanInput } from '@angular/cdk/coercion';
import { EventEmitter, Renderer2, ElementRef, OnInit } from '@angular/core';
import { ButtonSize, ButtonKind } from './types';
import * as i0 from "@angular/core";
export declare class ButtonDirective implements OnInit {
    private _element;
    private _renderer;
    private _disabled;
    get disabled(): BooleanInput;
    set disabled(value: BooleanInput);
    size: ButtonSize;
    kind: ButtonKind;
    safeClick: EventEmitter<MouseEvent>;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    private _onClick;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ButtonDirective, "button[jssButton], a[jssButton], input[jssButton]", ["jssButton"], { "size": "size"; "kind": "kind"; }, { "safeClick": "safeClick"; }, never, never, false>;
}
